<app-spinner *ngIf="isLoading"></app-spinner>

<div class="crews_container">
  <div class="crew" *ngFor="let crew of crews">
    <a
      [title]="crew.person.name"
      [routerLink]="[routes.ACTORS, crew.person.id, main]"
      rel="noreferrer"
    >
      <img
        class="crew_img"
        [src]="
          crew.person.image
            ? crew.person.image.medium
            : 'assets/images/no-img.png'
        "
        [alt]="crew.person.name + 'image'"
      />
    </a>
    <div class="crew_description">
      <a [routerLink]="[routes.ACTORS, crew.person.id, main]" rel="noreferrer">
        <h1 class="crew_actor_name">
          {{ crew.person.name }}
        </h1>
      </a>
      <span>as</span>
      <h2 class="cast_character_name">{{ crew.type }}</h2>
    </div>
  </div>
</div>
